# MaskParent(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MaskParent`(bpy_struct)

  Parenting settings for masking element

  `id`

    ID-block to which masking element would be parented to or to it’s property

    Type: | `ID`

  `id_type`

    Type of ID-block that can be used

    Type: | enum in [‘MOVIECLIP’], default ‘MOVIECLIP’

  `parent`

    Name of parent object in specified data block to which parenting happens

    Type: | string, default “”, (never None)

  `sub_parent`

    Name of parent sub-object in specified data block to which parenting happens

    Type: | string, default “”, (never None)

  `type`

    Parent Type

    Type: | enum in [‘POINT_TRACK’, ‘PLANE_TRACK’], default ‘POINT_TRACK’

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`MaskSplinePoint.parent` |